ShapeLinkServer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link.shape
Class ShapeLinkServer

    java.lang.Object
      java.lang.Thread
          com.bbn.openmap.layer.link.LinkServer
              com.bbn.openmap.layer.link.shape.ShapeLinkServer

All Implemented Interfaces:
  LinkPropertiesConstants, java.lang.Runnable

    public class ShapeLinkServer

extends LinkServer
implements LinkPropertiesConstants

This LinkServer provides graphics from ShapeFiles. The LinkLayer can provide several properties that can control how these graphics are to be rendered (defined in the .propertiesURL file for the layer):

        # Graphic edge color
        lineColor=AARRGGBB
        # Graphic fill Color
        fillColor=AARRGGBB
        # Graphic selected edge color
        highlightColor=AARRGGBB
        # Graphic edge pixel width
        lineWidth=pixel width

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected java.awt.Color` | `fillColor` The color to fill the shapes.
`protected java.awt.Color` | `lineColor` The color to outline the shapes.
`protected LinkProperties` | `lineProperties`
`protected LinkSpatialIndex` | `spatialIndex`

Fields inherited from class com.bbn.openmap.layer.link.LinkServer
`link`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Fields inherited from interface com.bbn.openmap.layer.link.LinkPropertiesConstants
`LPC_BACKWARD_DIAG_PATTERN, LPC_CENTER_LAT, LPC_CENTER_LONG, LPC_CLEAR_PROPERTIES, LPC_CLEAR_PROPERTIES_CHAR, LPC_CROSS_PATTERN, LPC_DASH, LPC_DASH_DOT, LPC_DASH_DOT_DOT, LPC_DIAG_CROSS_PATTERN, LPC_DOT, LPC_FILLCOLOR, LPC_FILLPATTERN, LPC_FORWARD_DIAG_PATTERN, LPC_GRAPHICID, LPC_HEIGHT, LPC_HIGHLIGHTCOLOR, LPC_HORIZONTAL_PATTERN, LPC_HTML, LPC_INFO, LPC_LATMAX, LPC_LATMIN, LPC_LINECOLOR, LPC_LINESTYLE, LPC_LINEWIDTH, LPC_LINKRASTERIMAGEURL, LPC_LINKROTATION, LPC_LINKTEXTBASELINE, LPC_LINKTEXTFONT, LPC_LINKTEXTSTRING, LPC_LONG_DASH, LPC_LONMAX, LPC_LONMIN, LPC_MESSAGE, LPC_OLD_FILLCOLOR, LPC_OLD_FILLPATTERN, LPC_OLD_HIGHLIGHTCOLOR, LPC_OLD_LINECOLOR, LPC_OLD_LINESTYLE, LPC_OLD_LINEWIDTH, LPC_OLD_LINKTEXTFONT, LPC_OLD_LINKTEXTSTRING, LPC_PROJECTION, LPC_PROPERY_MANAGEMENT_POLICY, LPC_PROPERY_MANAGEMENT_POLICY_CHAR, LPC_REUSE_PROPERTIES, LPC_REUSE_PROPERTIES_CHAR, LPC_SCALE, LPC_SOLID, LPC_SOLID_PATTERN, LPC_TIME, LPC_URL, LPC_VERTICAL_PATTERN, LPC_WIDTH`

Constructor Summary
`ShapeLinkServer(java.net.Socket socket, java.lang.String shapeFile)`

Method Summary
`protected void` | `fetchGraphics(double xmin, double ymin, double xmax, double ymax, LinkGraphicList lgl, LinkProperties properties)`
`protected void` | `finalize()`
`java.awt.Color` | `getFillColor()`
`java.awt.Color` | `getLineColor()`
`void` | `getRectangle(LinkMapRequest query, Link link)` An example of how to handle GraphicsLinkQueries.
`void` | `handleClient()` handleClient is a method that listens to the link to a client, and responds to requests that are made.
`protected void` | `locateAndSetShapeData(java.lang.String shapeFileName)`
`void` | `setFillColor(java.awt.Color fColor)`
`void` | `setLineColor(java.awt.Color lColor)`

Methods inherited from class com.bbn.openmap.layer.link.LinkServer
`handleGesture, huh, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### spatialIndex

    protected LinkSpatialIndex spatialIndex

### lineColor

    protected java.awt.Color lineColor

  The color to outline the shapes.

### fillColor

    protected java.awt.Color fillColor

  The color to fill the shapes.

### lineProperties

    protected LinkProperties lineProperties

Constructor Detail

### ShapeLinkServer

    public ShapeLinkServer(java.net.Socket socket,
                           java.lang.String shapeFile)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### handleClient

    public void handleClient()
                      throws java.io.IOException

  handleClient is a method that listens to the link to a client, and responds to requests that are made.

  Overrides:
    `handleClient` in class `LinkServer`
  Throws:
    `java.io.IOException`

### setFillColor

    public void setFillColor(java.awt.Color fColor)

### setLineColor

    public void setLineColor(java.awt.Color lColor)

### getFillColor

    public java.awt.Color getFillColor()

### getLineColor

    public java.awt.Color getLineColor()

### getRectangle

    public void getRectangle(LinkMapRequest query,
                             Link link)
                      throws java.io.IOException

  Description copied from class: `LinkServer`
  An example of how to handle GraphicsLinkQueries.

  Overrides:
    `getRectangle` in class `LinkServer`
  Parameters:
    `query` - the GraphicsLinkQuery, so you can get more information about the parameters of the map screen of the client.
    `link` - the link to communicate the response back to the client.
  Throws:
    `java.io.IOException`

### fetchGraphics

    protected void fetchGraphics(double xmin,
                                 double ymin,
                                 double xmax,
                                 double ymax,
                                 LinkGraphicList lgl,
                                 LinkProperties properties)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### locateAndSetShapeData

    protected void locateAndSetShapeData(java.lang.String shapeFileName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details